Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageOutputStackAttributes.Builder

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageOutputStackAttributes.Builder

    public static class GroovyPageOutputStackAttributes.Builder

Constructor Summary
`GroovyPageOutputStackAttributes.Builder()`
`GroovyPageOutputStackAttributes.Builder(GroovyPageOutputStackAttributes attributes)`

Method Summary
`Builder` | `allowCreate(boolean allowCreate)`
`Builder` | `autoSync(boolean autoSync)`
`GroovyPageOutputStackAttributes` | `build()`
`Builder` | `defaultTaglibEncoder(Encoder defaultTaglibEncoder)`
`Builder` | `expressionEncoder(Encoder expressionEncoder)`
`Builder` | `inheritPreviousEncoders(boolean inheritPreviousEncoders)`
`Builder` | `outEncoder(Encoder outEncoder)`
`Builder` | `pushTop(boolean pushTop)`
`Builder` | `replaceOnly(boolean replaceOnly)`
`Builder` | `staticEncoder(Encoder staticEncoder)`
`Builder` | `taglibEncoder(Encoder taglibEncoder)`
`Builder` | `topWriter(java.io.Writer topWriter)`
`Builder` | `webRequest(GrailsWebRequest webRequest)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyPageOutputStackAttributes.Builder

    public GroovyPageOutputStackAttributes.Builder()

### GroovyPageOutputStackAttributes.Builder

    public GroovyPageOutputStackAttributes.Builder(GroovyPageOutputStackAttributes attributes)

Method Detail

### allowCreate

    public Builder allowCreate(boolean allowCreate)

### autoSync

    public Builder autoSync(boolean autoSync)

### build

    public GroovyPageOutputStackAttributes build()

### defaultTaglibEncoder

    public Builder defaultTaglibEncoder(Encoder defaultTaglibEncoder)

### expressionEncoder

    public Builder expressionEncoder(Encoder expressionEncoder)

### inheritPreviousEncoders

    public Builder inheritPreviousEncoders(boolean inheritPreviousEncoders)

### outEncoder

    public Builder outEncoder(Encoder outEncoder)

### pushTop

    public Builder pushTop(boolean pushTop)

### replaceOnly

    public Builder replaceOnly(boolean replaceOnly)

### staticEncoder

    public Builder staticEncoder(Encoder staticEncoder)

### taglibEncoder

    public Builder taglibEncoder(Encoder taglibEncoder)

### topWriter

    public Builder topWriter(java.io.Writer topWriter)

### webRequest

    public Builder webRequest(GrailsWebRequest webRequest)

Groovy Documentation